# BEGIN SourceDeps(oneline):
BuildRequires: gtk+-devel ladspa_sdk libgtk+2-devel pkgconfig(alsa)
# END SourceDeps(oneline)
Summary:    DSSI implementation of Fluidsynth
Name:       fluidsynth-dssi
Version:    1.0.0
Release:    alt1_8
License:    GPLv2+
Group:      Sound
URL:        http://dssi.sourceforge.net/download.html#FluidSynth-DSSI
Source0:    http://download.sf.net/dssi/fluidsynth-dssi-%{version}.tar.gz
# Add Fedora's default soundfont path to the scanlist:
Patch0:     fluidsynth-dssi-sf2path.patch
Requires:   dssi

BuildRequires: dssi-devel
BuildRequires: libfluidsynth-devel
BuildRequires: gtk2-devel
BuildRequires: liblo-devel
Source44: import.info

%description
This is an implementation of the FluidSynth soundfont-playing software
synthesizer as a DSSI plugin. It makes use of DSSI's run_multiple_synths()
interface to allow sharing of resources between multiple plugin instances --
soundfont data is shared between instances, and FluidSynth's usual voice
allocation methods are applied across multiple instances as if each were a
FluidSynth channel.

%prep
%setup -q
%patch0 -p1 -b .sf2path

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
rm $RPM_BUILD_ROOT%{_libdir}/dssi/fluidsynth-dssi.la

%files
%doc ChangeLog README TODO COPYING
%{_libdir}/dssi/fluidsynth-dssi*

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1_8
- update to new release by fcimport

* Mon Dec 24 2012 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1_7
- initial fc import

